radix define fsm_command {
    4'b0111 "NOP" -color seagreen,
    4'b0011 "ACT" -color blue,
    4'b0010 "RRE" -color blue,
    4'b0100 "WRITE" -color blue,
    4'b0000 "MRS" -color blue,
    4'b0001 "REFA" -color blue,
    4'b0101 "READ" -color blue,
    -default hex
    -defaultcolor blue 
}

radix define fsm_init_state {
 6'b000001 "NOP_I" -color blue,
 6'b000010 "PRE_I" -color seagreen,
 6'b000100 "EMRS_I" -color seagreen,
 6'b001000 "MRS_I" -color seagreen,
 6'b010000 "AR_I" -color seagreen,
 6'b100000 "RDY_I" -color seagreen,
 -default hex
 -defaultcolor blue 
}

radix define fsm_state {
    4'h0 "IDLE" -color blue,
    4'h1 "MRS" -color blue,
    4'h2 "AR" -color blue,
    4'h3 "RA" -color blue,
    4'h4 "READ" -color blue,
    4'h5 "WRITE" -color blue,
    4'h6 "PC" -color blue,
    -default hex
    -defaultcolor blue
}

radix define fsm_trans_cmd {
    4'h0 "NOP_T" -color blue,
    4'h1 "DESEL_T" -color blue,
    4'h2 "ACT_T" -color blue,
    4'h3 "PRE_T" -color blue,
    4'h4 "WRITE_T" -color blue,
    4'h5 "READ_T" -color blue,
    4'h6 "REFA_T" -color blue,
    4'h7 "MRS_T" -color blue,
    -default hex
    -defaultcolor blue
}